=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2008-11-19 08:07:10 +0000
+++ drizzled/field.cc	2008-11-24 18:52:04 +0000
@@ -1540,7 +1540,6 @@
     case Item::CACHE_ITEM:
     case Item::TYPE_HOLDER:
     case Item::PARAM_ITEM:
-    case Item::VIEW_FIXER_ITEM: 
          my_error(ER_VIRTUAL_COLUMN_FUNCTION_IS_NOT_ALLOWED, MYF(0), field_name);
          return true;
          break;

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2008-11-18 22:12:56 +0000
+++ drizzled/item.h	2008-11-24 18:52:04 +0000
@@ -77,14 +77,29 @@
 
 public:
 
-  enum Type {FIELD_ITEM= 0, FUNC_ITEM, SUM_FUNC_ITEM, STRING_ITEM,
-             INT_ITEM, REAL_ITEM, NULL_ITEM, VARBIN_ITEM,
-             COPY_STR_ITEM, FIELD_AVG_ITEM, DEFAULT_VALUE_ITEM,
-             PROC_ITEM,COND_ITEM, REF_ITEM, FIELD_STD_ITEM,
-             FIELD_VARIANCE_ITEM, INSERT_VALUE_ITEM,
-             SUBSELECT_ITEM, ROW_ITEM, CACHE_ITEM, TYPE_HOLDER,
-             PARAM_ITEM, DECIMAL_ITEM,
-             VIEW_FIXER_ITEM};
+  enum Type {FIELD_ITEM= 0, 
+    FUNC_ITEM,
+    SUM_FUNC_ITEM,
+    STRING_ITEM,
+    INT_ITEM,
+    REAL_ITEM,
+    NULL_ITEM,
+    VARBIN_ITEM,
+    COPY_STR_ITEM,
+    FIELD_AVG_ITEM,
+    DEFAULT_VALUE_ITEM,
+    PROC_ITEM,
+    COND_ITEM,
+    REF_ITEM,
+    FIELD_STD_ITEM,
+    FIELD_VARIANCE_ITEM,
+    INSERT_VALUE_ITEM,
+    SUBSELECT_ITEM,
+    ROW_ITEM, CACHE_ITEM,
+    TYPE_HOLDER,
+    PARAM_ITEM,
+    DECIMAL_ITEM
+  };
 
   enum cond_result { COND_UNDEF,COND_OK,COND_TRUE,COND_FALSE };
 

=== added file 'tests/r/☃.result'
--- tests/r/☃.result	1970-01-01 00:00:00 +0000
+++ tests/r/☃.result	2008-11-24 18:52:04 +0000
@@ -0,0 +1,20 @@
+CREATE DATABASE ☃;
+DROP DATABASE ☃;
+CREATE DATABASE `☃`;
+DROP DATABASE `☃`;
+USE test;
+CREATE TABLE ☃ (a INT NOT NULL);
+INSERT INTO ☃ VALUES(1);
+INSERT INTO ☃ VALUES(2);
+SELECT a FROM ☃;
+a
+1
+2
+DELETE FROM ☃ WHERE a = 1;
+UPDATE ☃ SET a = 3 WHERE a = 2;
+TRUNCATE ☃;
+RENAME TABLE ☃ TO t1;
+CREATE DATABASE ☃;
+DROP DATABASE ☃;
+CREATE DATABASE `☃`;
+DROP DATABASE `☃`;

=== added file 'tests/t/☃.test'
--- tests/t/☃.test	1970-01-01 00:00:00 +0000
+++ tests/t/☃.test	2008-11-24 18:52:04 +0000
@@ -0,0 +1,36 @@
+# Test Snowman Unicode character for creation
+# of tables and databases.
+
+# Test without backticks
+CREATE DATABASE ☃;
+
+DROP DATABASE ☃;
+
+# Now with backticks
+CREATE DATABASE `☃`;
+
+DROP DATABASE `☃`;
+
+# Now try table names
+USE test;
+
+# Test table creation without backticks
+# And various operations on the table
+CREATE TABLE ☃ (a INT NOT NULL);
+
+INSERT INTO ☃ VALUES(1);
+INSERT INTO ☃ VALUES(2);
+
+SELECT a FROM ☃;
+
+DELETE FROM ☃ WHERE a = 1;
+
+UPDATE ☃ SET a = 3 WHERE a = 2;
+
+TRUNCATE ☃;
+
+RENAME TABLE ☃ TO t1;
+CREATE DATABASE ☃;
+DROP DATABASE ☃;
+CREATE DATABASE `☃`;
+DROP DATABASE `☃`;

=== modified file 'tests/test-run.pl'
--- tests/test-run.pl	2008-10-30 21:37:46 +0000
+++ tests/test-run.pl	2008-11-24 18:52:04 +0000
@@ -1,6 +1,8 @@
 #!/usr/bin/perl
 # -*- cperl -*-
 
+use utf8;
+
 #
 ##############################################################################
 #

